aboutsummaryrefslogtreecommitdiff
path: root/config/p10k-robbyrussell.zsh
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2020-03-13 12:34:50 +0300
committerromkatv <roman.perepelitsa@gmail.com>2020-03-13 12:34:50 +0300
commite4e165f6d739bce23d64b8439530035c6eba29de (patch)
tree82f15d40b13e5427a006ffc7a182779572370b8a /config/p10k-robbyrussell.zsh
parent0d662be14cab221fb9cbe9f2a22a3efc3a4c4836 (diff)
simplify configs
- use POWERLEVEL9K_ICON_PADDING instead of POWERLEVEL9K_VISUAL_IDENTIFIER_EXPANSION to customize padding after icons - remove reliance on UTF-8 locale when the config is being sourced
Diffstat (limited to 'config/p10k-robbyrussell.zsh')
-rw-r--r--config/p10k-robbyrussell.zsh5
1 files changed, 3 insertions, 2 deletions
diff --git a/config/p10k-robbyrussell.zsh b/config/p10k-robbyrussell.zsh
index 160efb90..5e0f8958 100644
--- a/config/p10k-robbyrussell.zsh
+++ b/config/p10k-robbyrussell.zsh
@@ -20,11 +20,12 @@
() {
emulate -L zsh
- autoload -Uz is-at-least && is-at-least 5.1 || return
-
# Unset all configuration options.
unset -m 'POWERLEVEL9K_*'
+ # Zsh >= 5.1 is required.
+ autoload -Uz is-at-least && is-at-least 5.1 || return
+
# Left prompt segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(prompt_char dir vcs)
# Right prompt segments.